Groovy 1.7.0

## org.codehaus.groovy.tools.shell.util
Class SimpleCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.tools.shell.util.SimpleCompletor

    class SimpleCompletor
    extends jline.SimpleCompletor

Support for simple completors.

version:
  $Id: SimpleCompletor.java 7673 2007-08-24 09:39:38Z user57 $

author:
  Jason Dillon

Constructor Summary
`SimpleCompletor(String[] candidates)`
`SimpleCompletor()`
`SimpleCompletor(Closure loader)`

Method Summary
`void` | `add(String candidate)`
`int` | `complete(String buffer, int cursor, List clist)`
`Object` | `leftShift(String s)`

Methods inherited from class jline.SimpleCompletor
clone, complete, setDelimiter, getDelimiter, setCandidates, getCandidates, setCandidateStrings, addCandidateString, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SimpleCompletor

    public SimpleCompletor(String[] candidates)

### SimpleCompletor

    public SimpleCompletor()

### SimpleCompletor

    public SimpleCompletor(Closure loader)

Method Detail

### add

    public void add(String candidate)

### complete

    public int complete(String buffer, int cursor, List clist)

### leftShift

    public Object leftShift(String s)

Copyright © 2003-2009 The Codehaus. All rights reserved.